
<!doctype html>
<html lang="en">
   <head>
      <meta charset="utf-8">
      <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
      <meta name="description" content="">
      <meta name="author" content="Mark Otto, Jacob Thornton, and Bootstrap contributors">
      <meta name="generator" content="Jekyll v3.8.6">
      <title>Signature</title>
      <link rel="canonical" href="https://getbootstrap.com/docs/4.4/examples/jumbotron/">
      <!-- Bootstrap core CSS -->
      <link href="https://getbootstrap.com/docs/4.4/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
      <!-- jQuery UI Signature core CSS -->
      <link href="http://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/themes/south-street/jquery-ui.css" rel="stylesheet">
      <link href="assets/css/jquery.signature.css" rel="stylesheet">
      <link href="https://cdn.datatables.net/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet">
      <!-- Favicons -->
      <link rel="apple-touch-icon" href="https://getbootstrap.com/docs/4.4/../assets/img/favicons/apple-touch-icon.png" sizes="180x180">
      <link rel="icon" href="https://getbootstrap.com/docs/4.4/../assets/img/favicons/apple-touch-icon.png" sizes="32x32" type="image/png">
      <link rel="icon" href="https://getbootstrap.com/docs/4.4/../assets/img/favicons/favicon-16x16.png" sizes="16x16" type="image/png">
      <link rel="mask-icon" href="https://getbootstrap.com/docs/4.4/../assets/img/favicons/safari-pinned-tab.svg" color="#563d7c">
      <link rel="icon" href="https://getbootstrap.com/docs/4.4/../assets/img/favicons/safari-pinned-tab.svg">
      <meta name="msapplication-config" content="https://getbootstrap.com/docs/4.4/../assets/img/favicons/browserconfig.xml">
      <meta name="theme-color" content="#563d7c">
      <style>
         .kbw-signature {
         width: 400px;
         height: 200px;
         }
                  #sig canvas {
         width: 100% !important;
         height: auto;
         }

         
         .margin {
         margin-top: 3px;
         margin-left: -2px;
         }
         .sigForm{
         display: flex;
         }
         .row{
            padding: 2px;
         }
      </style>
      <!-- Custom styles for this template -->
      <link href="https://getbootstrap.com/docs/4.4/examples/jumbotron/jumbotron.css" rel="stylesheet">
   </head>
   <body>
      <main role="main">
         <div class="container">
            <!-- Example row of columns -->
            <div class="row">
<?php
if (isset($_GET['errorMssg'])){
    echo $_GET['errorMssg'];
}

?>

               <form class="mx-auto ms-auto" method="post" action="upload.php">

                  <label class="" for="">Signature:</label><br>
                  <label class="" for="">Name:</label>
                  <input type="text" name="name" placeholder="Enter name" required>
                  <div class="sigForm">
                     

                     <div id="sig"></div>
                     <br />
                     
                     <textarea id="signature64" name="signed" style="display: none"></textarea>
                  </div>
                  <button class="margin btn btn-danger" id="clear">Clear</button>
                  <input type="submit" class="margin btn btn-primary">
               </form>
            </div>
         </div>
         <!-- /container -->
      </main>
      <!--[if IE]>
      <script src="excanvas.js"></script>
      <![endif]-->
      <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
      <script src="http://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
      <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
      <script src="assets/js/jquery.signature.js"></script>
      <script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui-touch-punch/0.2.3/jquery.ui.touch-punch.min.js"></script>
      <script type="text/javascript">
         var sig = $('#sig').signature({ syncField: '#signature64', syncFormat: 'PNG' });
         $('#clear').click(function (e) {
             e.preventDefault();
             sig.signature('clear');
             $("#signature64").val('');
         });
         
      </script>
   </body>
</html>

